#ifndef MAPLIST_H
#define MAPLIST_H

#include"radian.h"

class MapList {
public:
	virtual QString searchMapFileName(long ns, long ew, Radian *radMapEW,
			Radian *radMapNS, Radian *radMapWidth, Radian *radMapHeight) = 0;
	virtual QString pointMapFileName(int diffLat, int diffLong,
			Radian *radMapEW, Radian *radMapNS, Radian *radMapWidth,
			Radian *radMapHeight) = 0;
	virtual QString getClassName() {
		return "MapList";
	}
};

#endif //MAPLIST_H
